# Enum Class DiploidGenotype

java.lang.Object
java.lang.Enum<DiploidGenotype>
picard.fingerprint.DiploidGenotype

All Implemented Interfaces:
  `Serializable, Comparable<DiploidGenotype>, Constable`

public enum DiploidGenotype extends Enum<DiploidGenotype>
A genotype produced by one of the concrete implementations of AbstractAlleleCaller. DO NOT ADD TO OR REORDER THIS ENUM AS THAT WOULD BREAK THE GELI FILE FORMAT.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AA`
`AC`
`AG`
`AT`
`CC`
`CG`
`CT`
`GG`
`GT`
`TT`

## Method Summary

Modifier and Type
Method
Description
`static DiploidGenotype`
`fromBases(byte[] bases)`
Converts a pair of bases into a DiploidGenotype regardless of base order or case
`static DiploidGenotype`
`fromBases(byte base1, byte base2)`
Converts a pair of bases into a DiploidGenotype regardless of base order or case
`byte`
`getAllele1()`
`byte`
`getAllele2()`
`boolean`
`isHeterozygous()`
`boolean`
`isHomomozygous()`
`static boolean`
`isValidBase(byte base)`
`static DiploidGenotype`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DiploidGenotype[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AA

public static final DiploidGenotype AA

### AC

public static final DiploidGenotype AC

### AG

public static final DiploidGenotype AG

### AT

public static final DiploidGenotype AT

### CC

public static final DiploidGenotype CC

### CG

public static final DiploidGenotype CG

### CT

public static final DiploidGenotype CT

### GG

public static final DiploidGenotype GG

### GT

public static final DiploidGenotype GT

### TT

public static final DiploidGenotype TT

## Method Details

### values

public static DiploidGenotype[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DiploidGenotype valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromBases

public static DiploidGenotype fromBases(byte[] bases)
Converts a pair of bases into a DiploidGenotype regardless of base order or case

### fromBases

public static DiploidGenotype fromBases(byte base1, byte base2)
Converts a pair of bases into a DiploidGenotype regardless of base order or case

### isValidBase

public static boolean isValidBase(byte base)

Returns:
  true if this is a valid base, i.e. one of [ACGTacgt]

### getAllele1

public byte getAllele1()

### getAllele2

public byte getAllele2()

### isHeterozygous

public boolean isHeterozygous()

### isHomomozygous

public boolean isHomomozygous()